DECLARE @temp_table TABLE (
	No_Proposal VARCHAR(9),
	Nama_Perusahaan VARCHAR(100),
	no_peserta_keluarga VARCHAR(12),
	peserta_sebagai_karyawan VARCHAR(100),
	santunan VARCHAR(50),
	santunan_maksimum_rj FLOAT,
	penggunaan_klaim FLOAT,
	sisa_santunan_rj FLOAT,
	curr_santunan_rj FLOAT,
	no_peserta_keluarga_temp VARCHAR(12)
)

INSERT INTO @temp_table
EXEC Proc_Rep_Klaim_SMI_Detail_temp '2017.0599'

SELECT 
	a.No_Proposal,
	a.Nama_Perusahaan,
	a.no_peserta_keluarga,
	a.peserta_sebagai_karyawan,
	a.santunan,
	a.curr_santunan_rj AS santunan_maksimum_rj,
	b.penggunaan_klaim,
	a.curr_santunan_rj - b.penggunaan_klaim AS sisa_santunan_rj
FROM 
	@temp_table AS a INNER JOIN
	(
		SELECT
			b.no_peserta_keluarga_temp,
			SUM(b.penggunaan_klaim) AS penggunaan_klaim
		FROM
			@temp_table AS b
		GROUP BY
			b.no_peserta_keluarga_temp
	) AS b ON a.no_peserta_keluarga = b.no_peserta_keluarga_temp
WHERE
	a.no_peserta_keluarga <> ''




--SELECT 
--SUM(Jml_Dibayar)
--FROM Klaim_Peserta WHERE No_Proposal='2017.0599' AND No_Peserta LIKE '2017000638%' AND Sub_Kelompok='0301'
